<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CategoryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|string|min:3|max:25',
            'slug' => 'required|string|min:3|max:25',
            'priority' => 'required|numeric|min:0|max:10',
            'default' => 'nullable|in:yes,1,true,on',
            'visible' => 'nullable|in:yes,1,true,on'
        ];
    }
}
